---
# duplicated outside a role due to this bug https://github.com/ansible/ansible/issues/20493
# remove old docker secrets
- name: docker remove old stack secrets | listing
  shell: >
    docker secret ls | grep -zoP '.*\s+{{ docker_elastic_stack_name|quote }}_.*-(?!{{ elastic_deploy_timestamp|quote }})\d+.*\n' |  tr -s ' ' | cut -d ' ' -f 2
  register: docker_stack_secrets
  listen: docker prune
  notify: docker prune stack secrets

- name: docker remove old stack secrets | removing
  docker_secret:
    name: "{{ item }}"
    state: absent
  with_items: "{{ docker_stack_secrets.stdout_lines }}"
  listen: docker prune stack secrets

# remove old docker configs
- name: docker remove old stack configs | listing
  shell: >
    docker config ls | grep -zoP '.*\s+{{ docker_elastic_stack_name|quote }}_.*-(?!{{ elastic_deploy_timestamp|quote }})\d+.*\n' |  tr -s ' ' | cut -d ' ' -f 2
  register: docker_stack_configs
  listen: docker prune
  notify: docker prune stack configs

- name: docker remove old stack configs | removing
  docker_config:
    name: "{{ item }}"
    state: absent
  with_items: "{{ docker_stack_configs.stdout_lines }}"
  listen: docker prune stack configs
...